curl -X GET 'https://foodsoul.pro/api/crm/v2/base' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: id' \
-H 'role: partner'
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://foodsoul.pro/api/crm/v2/base', [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN',
'language' => 'id',
'role' => 'partner',
],
]);
$data = json_decode((string) $response->getBody(), true);
const response = await fetch("https://foodsoul.pro/api/crm/v2/base", {
method: "GET",
headers: {
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "id",
"role": "partner"
},
})
const data = await response.json()
import requests
response = requests.request(
"GET",
"https://foodsoul.pro/api/crm/v2/base",
headers={
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "id",
"role": "partner",
},
)
data = response.json()
Jawaban 200
{
"status": "success",
"data": {
"countries": [
{
"id": 15,
"flag": "🇦🇲",
"zone": "am",
"name": "Armenia",
"work_time": {
"from": "10:00",
"to": "18:30"
},
"language_id": 16,
"latitude": 40.172197,
"longitude": 44.513278,
"hot_line": {
"free": false,
"phone": "+374 (53) 14-13-12"
},
"currency": {
"code": "AZN",
"text": {
"symbol": "₼",
"short": "m.",
"middle": "man."
}
},
"formats": {
"date": "dd/MM/yyyy",
"datetime": "HH:mm dd/MM/yyyy",
"date_mobile": "dd/MM/yyyy",
"datetime_mobile": "HH:mm dd/MM/yyyy",
"cost": "p c"
},
"phone_format_id": 2,
"company_id": 3,
"cis_mode": true,
"is_default": false
}
],
"languages": [
{
"id": 16,
"names": {
"local": "Հայերեն",
"english": "Armenian"
},
"iso639-1": "hy",
"flag": "🇦🇲",
"published": true
}
],
"phone_formats": [
{
"id": 1,
"country": {
"name": "Russia",
"flag": "🇷🇺",
"code": "+7"
},
"mask": "+7 ___-___-__-__",
"regex": "^(\\\\+7|8)?[ -]?\\\\(?(9\\\\d{2})\\\\)?[ -]?(\\\\d{3})[ -]?(\\\\d{2})[ -]?(\\\\d{2})$"
}
],
"bonus": {
"text": "B",
"round": "0",
"symbol": "฿"
},
"bitrix_widget": "string"
}
}
Permintaan dikirim ke foodsoul.pro — host dari portal ini, tidak dapat memilih yang lain.